import React from 'react';
import AdvancedSearch from "@components/advanced-search";
import { Input, Form, Select } from "antd";
import './index.less'

const { Item: FormItem } = Form;
const { Option } = Select;


@Form.create()
class Index extends React.Component {
  constructor(...args) {
    super(...args);
    this.state = {
      params: null,
    };
  }

  componentDidMount() {
    this.setState({
      params: JSON.stringify({}),
    })
  }

  onOk = params => {
    console.log('params----', params)
    this.setState({
      params: JSON.stringify(params),
    })
  };

  render() {
    const { params } = this.state
    const status = [
      {key: 1, value: '在线'},
      {key: 2, value: '离线'},
    ]
    const searchData = [
      {
        key: "ape_id",
        render() {
          return (
            <FormItem label="通道编码">
              {this.getFieldDecorator &&
                this.getFieldDecorator(
                  "ape_id",
                  {}
                )(<Input maxLength={50} placeholder="请输入通道编码" />)}
            </FormItem>
          );
        },
      },
      {
        key: "name",
        render() {
          return (
            <FormItem label="通道名称">
              {this.getFieldDecorator &&
                this.getFieldDecorator(
                  "name",
                  {}
                )(<Input maxLength={50} placeholder="请输入通道名称" />)}
            </FormItem>
          );
        },
      },
      {
        key: "is_online",
        render() {
          return (
            <FormItem label="在线状态">
              {this.getFieldDecorator &&
                this.getFieldDecorator(
                  "is_online",
                  {}
                )(
                  <Select placeholder="请选择">
                    {(status || []).map(e => {
                      return (
                        <Option
                          key={`status${e.key}`}
                          title={e.value}
                          value={e.key}
                        >
                          {e.value}
                        </Option>
                      );
                    })}
                  </Select>
                )}
            </FormItem>
          );
        },
      },
    ];

    return (
      <div className="container">
        <div className="title card">
          AdvancedSearch 组件测试
        </div>
        <div className="component card">
          <AdvancedSearch
            searchData={searchData}
            colSpan={6}
            onOk={value => this.onOk(value)}
            onReset={value => this.onOk(value)}
          />
        </div>
        <div className="result card">
           {`测试结果: params = ${params}`}
        </div>
      </div>
      
    )
  }
}

export default Index;
